Felix
  1. Felix
  2. FELIX-2293

features-maven-plugin validate should support specify the feature repositories from the maven plugin configure

    Details

    • Type: Improvement Improvement
    • Status: Resolved
    • Priority: Major Major
    • Resolution: Fixed
    • Affects Version/s: None
    • Fix Version/s: karaf 1.6.0
    • Component/s: Karaf
    • Labels:
      None

      Description

      karaf features-maven-plugin validate module should support to specify the feature repositories from the maven plugin configure.
      https://issues.apache.org/activemq/browse/CAMEL-2659 shows a user story for it.
      To support the apache-camel features file in karaf 1.2.0 and karaf 1.4.0 at the same time, we should not include the <repository> element in the apache-camel features file, it could be better to support configure the feature repository from the maven plugin.

        Activity

        Hide
        Willem Jiang added a comment -

        Submitted a patch for this issue.

        Show
        Willem Jiang added a comment - Submitted a patch for this issue.
        Hide
        Freeman Fang added a comment -

        apply patch on behalf of Willem Jiang with thanks
        http://svn.apache.org/viewvc?rev=936233&view=rev

        Show
        Freeman Fang added a comment - apply patch on behalf of Willem Jiang with thanks http://svn.apache.org/viewvc?rev=936233&view=rev

          People

          • Assignee:
            Freeman Fang
            Reporter:
            Willem Jiang
          • Votes:
            0 Vote for this issue
            Watchers:
            0 Start watching this issue

            Dates

            • Created:
              Updated:
              Resolved:

              Development